Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Enum ColumnType

    java.lang.Object
      java.lang.Enum<ColumnType>
          umontreal.iro.lecuyer.contactcenters.app.ColumnType

All Implemented Interfaces:
  Serializable, Comparable<ColumnType>

    public enum ColumnType

extends Enum<ColumnType>

Represents the column type for a matrix regrouping performance measures. Each type of performance measure has a column type that affects the number and role of columns in any matrix of performance measures of that type. Of course, the number of columns is also affected by the parameters of the contact center.

With the exception of `PerformanceMeasureType.SERVEDRATES` and `PerformanceMeasureType.MAXQUEUESIZE`, each column corresponds to a main period in the model, and the last column corresponds to the time-aggregate values. If there is a single period, e.g., for steady-state approximations or simulations, the matrix can have a single column. Note that when using batch means, matrices of results do not contain a column for each batch. To get values for each batch in a stationary simulation, one must use a contact center simulator with observations and call `ContactCenterSimWithObservations.getObs(umontreal.iro.lecuyer.contactcenters.app.PerformanceMeasureType, int, int)`. One must also make sure to set up the simulator to keep track of the observations, which is implementation-specific. For implementations using `BatchSimParams` for experiment parameters, the method `SimParams.setKeepObs(boolean)` can be used for this.

Enum Constant Summary
`AGENTGROUP` Columns representing agent groups.
`MAINPERIOD` Columns representing main periods.
`SINGLECOLUMN` Single column with no particular meaning.

Method Summary
`abstract int` | `count(ContactCenterInfo eval)` Returns the usual number of columns in a matrix of performance measures with columns of this type estimated by the evaluation system `eval`.
`abstract String` | `getName(ContactCenterInfo eval, int column)` Returns the name associated with the column `column` in a matrix of results for this type of column estimated by `eval`.
`abstract Map<String,String>` | `getProperties(ContactCenterInfo eval, int column)` Returns the properties associated with column `column`.
`abstract String` | `getTitle()` Returns the title that should identify the rows of matrices of results for this type of column.
`static ColumnType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAINPERIOD

    public static final ColumnType MAINPERIOD

  Columns representing main periods. More specifically, let P'≥P be the number of columns of this type for a specific model of contact center. If a matrix has columns of this type and if there are P main periods in the model, column p = 0,…, P - 1 represents main period p while column P' - 1 is used for representing all main periods. Columns P,…, P' - 2 represent user-defined segments regrouping main periods. If P = 1, a single column represents the single main period, and P' = P.

### AGENTGROUP

    public static final ColumnType AGENTGROUP

  Columns representing agent groups. This is similar to `RowType.AGENTGROUP`, with rows replaced with columns.

### SINGLECOLUMN

    public static final ColumnType SINGLECOLUMN

  Single column with no particular meaning. For example, the maximal queue size has one row for each waiting queue but a single column.

Method Detail

### values

    public static ColumnType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ColumnType c : ColumnType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ColumnType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTitle

    public abstract String getTitle()

  Returns the title that should identify the rows of matrices of results for this type of column. For example, this may return `Periods` for `MAINPERIOD`.

  Returns:
    the column title.

### getName

    public abstract String getName(ContactCenterInfo eval,
                                   int column)

  Returns the name associated with the column `column` in a matrix of results for this type of column estimated by `eval`. For example, if the method is called for `MAINPERIOD`, and column 0, it may return `Period 0`.

  Parameters:
    `eval` - the contact center evaluation object.
    `column` - the column index.
  Returns:
    the column name.

### getProperties

    public abstract Map<String,String> getProperties(ContactCenterInfo eval,
                                                     int column)

  Returns the properties associated with column `column`. Properties are additional strings describing a column. This can include, e.g., the language of the customers, the originating region, etc. If no property is defined for the given column, this method returns an empty map.

  Parameters:
    `eval` - the evaluation system.
    `column` - the column index.
  Returns:
    the properties.

### count

    public abstract int count(ContactCenterInfo eval)

  Returns the usual number of columns in a matrix of performance measures with columns of this type estimated by the evaluation system `eval`.

  Parameters:
    `eval` - the queried evaluation system.
  Returns:
    the number of rows.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.